clear all

% Set the interval boundaries:
a = cos(1);
b = cos(cos(1));
% Set the number of samples to be drawn:
N = 500;
% Set the tolerance:
tol = 1e-8;
% Prepare vector for results:
X = zeros(1,N);
% Draw random starting points:
X0 = (b-a)*rand(1,N) + a;
% Run the iteration for all of them:
for k = 1:N
    X(k) = FixedPoint(X0(k),tol);
end

% Show the results:
figure()
plot(1:N,X)
xlabel('Iteration Number')
ylabel('Result of Iteration')
ylim([0.73,0.74])
